=== modified file '__init__.py'
--- __init__.py	2011-03-06 09:47:57 +0000
+++ __init__.py	2011-04-10 18:44:39 +0000
@@ -62,21 +62,6 @@
     bzr_plugin_version as version_info,
     bzr_compatible_versions,
     )
-from gettext import (
-    gettext,
-    textdomain,
-    bindtextdomain,
-    bind_textdomain_codeset,
-    )
-
-# FIXME: We should find out LOCALEDIR at compile or run time. The current
-# hardcoded path will work for most distributions, but not for e.g. Solaris and
-# Windows
-GETTEXT_PACKAGE = 'bzr-gtk'
-LOCALEDIR = '/usr/share/locale'
-bindtextdomain(GETTEXT_PACKAGE, LOCALEDIR)
-bind_textdomain_codeset(GETTEXT_PACKAGE, 'UTF-8')
-textdomain(GETTEXT_PACKAGE)
 
 if version_info[3] == 'final':
     version_string = '%d.%d.%d' % version_info[:3]
@@ -194,6 +179,3 @@
             sys.setdefaultencoding(default_encoding)
     return basic_tests
 
-
-def _i18n(text):
-    return gettext(text)

=== modified file 'avatarsbox.py'
--- avatarsbox.py	2011-04-06 14:53:44 +0000
+++ avatarsbox.py	2011-04-10 18:44:39 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib.config import parse_username
 
-from bzrlib.plugins.gtk import _i18n
+from bzrlib.plugins.gtk.i18n import _i18n
 from bzrlib.plugins.gtk.avatarproviders import (
     AvatarProviderGravatar,
     AvatarDownloaderWorker,

=== modified file 'branch.py'
--- branch.py	2011-03-14 20:12:19 +0000
+++ branch.py	2011-04-10 18:44:39 +0000
@@ -30,11 +30,9 @@
 from bzrlib.branch import Branch
 from bzrlib.transport import get_transport
 
-
-from bzrlib.plugins.gtk import _i18n
-
 from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 
 

=== modified file 'checkout.py'
--- checkout.py	2011-03-14 20:12:19 +0000
+++ checkout.py	2011-04-10 18:44:39 +0000
@@ -24,14 +24,13 @@
 
 import gtk
 
-from bzrlib.plugins.gtk import _i18n
-
 from bzrlib.branch import Branch
 from bzrlib.config import GlobalConfig
 
 from bzrlib.plugins.gtk.dialog import error_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
 from bzrlib.plugins.gtk.history import UrlHistory
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class CheckoutDialog(gtk.Dialog):

=== modified file 'commands.py'
--- commands.py	2011-01-31 10:19:52 +0000
+++ commands.py	2011-04-10 18:44:39 +0000
@@ -32,10 +32,10 @@
 from bzrlib.option import Option
 
 from bzrlib.plugins.gtk import (
-    _i18n,
     import_pygtk,
     set_ui_factory,
     )
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class NoDisplayError(errors.BzrCommandError):

=== modified file 'commit.py'
--- commit.py	2010-07-21 20:21:17 +0000
+++ commit.py	2011-04-10 18:44:39 +0000
@@ -36,9 +36,9 @@
 except ImportError:
     from bzrlib.util import bencode
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import question_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
 
 try:
     import dbus
@@ -512,7 +512,7 @@
                                              gtk.CellRendererText(), text=3))
 
     def _construct_diff_view(self):
-        from diff import DiffView
+        from bzrlib.plugins.gtk.diff import DiffView
 
         # TODO: jam 2007-10-30 The diff label is currently disabled. If we
         #       decide that we really don't ever want to display it, we should

=== modified file 'diff.py'
--- diff.py	2011-03-14 20:12:19 +0000
+++ diff.py	2011-04-10 18:44:39 +0000
@@ -44,13 +44,13 @@
 from bzrlib.diff import show_diff_trees
 from bzrlib.patches import parse_patches
 from bzrlib.trace import warning
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.window import Window
 from bzrlib.plugins.gtk.dialog import (
     error_dialog,
     info_dialog,
     warning_dialog,
     )
+from bzrlib.plugins.gtk.i18n import _i18n
+from bzrlib.plugins.gtk.window import Window
 
 
 def fallback_guess_language(slm, content_type):

=== modified file 'errors.py'
--- errors.py	2011-03-14 20:12:19 +0000
+++ errors.py	2011-04-10 18:44:39 +0000
@@ -15,11 +15,11 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 from bzrlib import errors
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import (
     error_dialog,
     info_dialog,
     )
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 def show_bzr_error(unbound):

=== added file 'i18n.py'
--- i18n.py	1970-01-01 00:00:00 +0000
+++ i18n.py	2011-04-10 18:44:39 +0000
@@ -0,0 +1,34 @@
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from gettext import (
+    gettext,
+    textdomain,
+    bindtextdomain,
+    bind_textdomain_codeset,
+    )
+
+# FIXME: We should find out LOCALEDIR at compile or run time. The current
+# hardcoded path will work for most distributions, but not for e.g.
+# Solaris and
+# Windows
+GETTEXT_PACKAGE = 'bzr-gtk'
+LOCALEDIR = '/usr/share/locale'
+
+bindtextdomain(GETTEXT_PACKAGE, LOCALEDIR)
+bind_textdomain_codeset(GETTEXT_PACKAGE, 'UTF-8')
+textdomain(GETTEXT_PACKAGE)
+
+def _i18n(text):
+    return gettext(text)

=== modified file 'initialize.py'
--- initialize.py	2011-03-14 20:12:19 +0000
+++ initialize.py	2011-04-10 18:44:39 +0000
@@ -30,9 +30,9 @@
     transport,
     )
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class InitDialog(gtk.Dialog):

=== modified file 'loom.py'
--- loom.py	2011-03-14 20:12:19 +0000
+++ loom.py	2011-04-10 18:44:39 +0000
@@ -23,13 +23,13 @@
 import gtk
 import gobject
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.diff import DiffWidget
 from bzrlib.plugins.gtk.dialog import question_dialog
 from bzrlib.plugins.loom import (
     branch as loom_branch,
     tree as loom_tree,
     )
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class LoomDialog(gtk.Dialog):

=== modified file 'merge.py'
--- merge.py	2011-03-14 20:12:19 +0000
+++ merge.py	2011-04-10 18:44:39 +0000
@@ -27,13 +27,14 @@
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n, icon_path
+from bzrlib.plugins.gtk import icon_path
 from bzrlib.plugins.gtk.dialog import (
     error_dialog,
     info_dialog,
     warning_dialog,
     )
 from bzrlib.plugins.gtk.errors import show_bzr_error
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class MergeDialog(gtk.Dialog):

=== modified file 'push.py'
--- push.py	2011-03-14 20:12:19 +0000
+++ push.py	2011-04-10 18:44:39 +0000
@@ -27,20 +27,21 @@
 
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import (
     info_dialog,
     question_dialog,
     )
 
 from bzrlib.plugins.gtk.history import UrlHistory
+from bzrlib.plugins.gtk.i18n import _i18n
+
 
 class PushDialog(gtk.Dialog):
-    """ New implementation of the Push dialog. """
+    """New implementation of the Push dialog."""
 
     def __init__(self, repository, revid, branch=None, parent=None):
-        """ Initialize the Push dialog. """
-        gtk.Dialog.__init__(self, title="Push - Olive",
+        """Initialize the Push dialog. """
+        gtk.Dialog.__init__(self, title="Push",
                                   parent=parent,
                                   flags=0,
                                   buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
@@ -78,7 +79,7 @@
         self._build_history()
 
     def _build_history(self):
-        """ Build up the location history. """
+        """Build up the location history. """
         self._combo_model = gtk.ListStore(str)
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
@@ -92,7 +93,7 @@
 
     @show_bzr_error
     def _on_push_clicked(self, widget):
-        """ Push button clicked handler. """
+        """Push button clicked handler. """
         location = self._combo.get_child().get_text()
         revs = 0
 
@@ -115,7 +116,7 @@
 
 
 def do_push(br_from, location, overwrite):
-    """ Update a mirror of a branch.
+    """Update a mirror of a branch.
 
     :param br_from: the source branch
     :param location: the location of the branch that you'd like to update

=== modified file 'revbrowser.py'
--- revbrowser.py	2011-03-14 20:12:19 +0000
+++ revbrowser.py	2011-04-10 18:44:39 +0000
@@ -23,8 +23,8 @@
 import gobject
 import gtk
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.branchview.treeview import TreeView
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class RevisionBrowser(gtk.Dialog):

=== modified file 'search.py'
--- search.py	2008-07-20 13:23:29 +0000
+++ search.py	2011-04-10 18:44:39 +0000
@@ -24,7 +24,8 @@
 import gtk
 
 from bzrlib.plugins.search import index as _mod_index
-from bzrlib.plugins.gtk import _i18n
+
+from bzrlib.plugins.gtk.i18n import _i18n
 
 class SearchDialog(gtk.Dialog):
     """Search dialog."""

=== modified file 'status.py'
--- status.py	2011-03-14 20:12:19 +0000
+++ status.py	2011-04-10 18:44:39 +0000
@@ -21,10 +21,8 @@
     pass
 
 import gtk
-from bzrlib.plugins.gtk import (
-    _i18n,
-    window,
-    )
+from bzrlib.plugins.gtk import window
+from bzrlib.plugins.gtk.i18n import _i18n
 
 
 class StatusWindow(window.Window):

=== modified file 'tags.py'
--- tags.py	2011-03-14 20:12:19 +0000
+++ tags.py	2011-04-10 18:44:39 +0000
@@ -23,8 +23,8 @@
 
 import gtk
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
+from bzrlib.plugins.gtk.i18n import _i18n
 from bzrlib.plugins.gtk.revidbox import RevisionSelectionBox
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window

